/*-
 * Copyright (c) 2009 Pietro Cerutti <gahr@gahr.ch>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#ifndef EPROMIX_MIXER_H
#define EPROMIX_MIXER_H

#include <sys/soundcard.h>

typedef struct mixer_ * mixer_t;
typedef int chan_t;

/* bookkeeping */
int  mixer_init(char *mixer_dev);
void mixer_destroy();
mixer_t mixer_get_inst(void);

/* channels */
int           mixer_get_nof_chans();
const chan_t *mixer_get_chans();
const char   *mixer_get_chan_name(const chan_t c);

/* gain */
int mixer_get_chan_gain(chan_t c, int *left, int *right);
int mixer_set_chan_gain(chan_t c, int  left, int  right);

/* record */
int mixer_can_record(chan_t c);
int mixer_is_recording(chan_t c);
int mixer_set_recording(chan_t c);
int mixer_add_recording(chan_t c);
int mixer_rem_recording(chan_t c);
int mixer_toggle_recording(chan_t c);

#endif /* !EPROMIX_MIXER_H */
